%global pypi_name oslo.i18n
%global pkg_name oslo-i18n
%bcond_with doc

Summary:        OpenStack i18n library
Name:           python-oslo-i18n
Version:        6.1.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/openstack/%{pypi_name}
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
The oslo.i18n library contain utilities for working with internationalization
(i18n) features, especially translation for text strings in an application
or library.

%package -n python3-%{pkg_name}
Summary:        OpenStack i18n Python library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-babel
BuildRequires:  python3-six
BuildRequires:  python3-fixtures
BuildRequires:  python3-babel

Requires:       python-%{pkg_name}-lang = %{version}-%{release}
Requires:       python3-pbr >= 2.0.0

%description -n python3-%{pkg_name}
Python bindings for %{name}.

%if %{with doc}
%package -n python-%{pkg_name}-doc
Summary:        Documentation for OpenStack i18n library
BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-sphinxcontrib-apidoc

%description -n python-%{pkg_name}-doc
Documentation for the oslo.i18n library.
%endif

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo i18n library

%description -n python-%{pkg_name}-lang
Translation files for Oslo i18n library

%prep
%autosetup -n %{pypi_name}-%{version} -S git

rm -rf *.egg-info
rm -rf *requirements.txt

%build
%{py3_build}

python3 setup.py compile_catalog -d build/lib/oslo_i18n/locale --domain oslo_i18n

%install
%{py3_install}

%if %{with doc}
python3 setup.py build_sphinx --build-dir . -b html
rm -rf html/.{doctrees,buildinfo}

sed -i "s|\r||g" html/_static/jquery.js
%endif

install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_i18n/locale/*/LC_*/oslo_i18n*po
rm -f %{buildroot}%{python3_sitelib}/oslo_i18n/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_i18n/locale %{buildroot}%{_datadir}/locale

%find_lang oslo_i18n --all-name

%files -n python3-%{pkg_name}
%license LICENSE
%doc ChangeLog CONTRIBUTING.rst PKG-INFO README.rst
%{python3_sitelib}/oslo_i18n
%{python3_sitelib}/*.egg-info

%if %{with doc}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc html
%endif

%files -n python-%{pkg_name}-lang -f oslo_i18n.lang
%license LICENSE

%changelog
* Tue Sep 26 2023 kianli <kianli@tencent.com> - 6.1.0-1
- Upgrade to 6.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 cunshunxia <cunshunxia@tencent.com> - 5.1.0-1
- initial build
